# TODO: finish tests
#
# Conditional build:
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module
%bcond_with	tests	# unit tests

Summary:	SOCKS client module for Python 2
Summary(pl.UTF-8):	Moduł klienta SOCKS dla Pythona 2
Name:		python-PySocks
Version:	1.7.1
Release:	6
License:	BSD
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/pysocks/
Source0:	https://files.pythonhosted.org/packages/source/P/PySocks/PySocks-%{version}.tar.gz
# Source0-md5:	89b1a6865c61bae67a32417517612ee6
URL:		https://pypi.org/project/PySocks/
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python-modules >= 1:2.7
BuildRequires:	python-setuptools
%if %{with tests}
BuildRequires:	3proxy
BuildRequires:	python-psutil
BuildRequires:	python-pytest
BuildRequires:	python-test-server
%endif
%endif
%if %{with python3}
BuildRequires:	python3-modules >= 1:3.4
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	3proxy
BuildRequires:	python3-psutil
BuildRequires:	python3-pytest
BuildRequires:	python3-test-server
%endif
%endif
Requires:	python-modules >= 1:2.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides a standard socket-like interface for Python
for tunneling connections through SOCKS proxies.

%description -l pl.UTF-8
Ten moduł udostępnia standardowy interfejs linii gniazd dla Pythona
służący do tunelowania połączeń poprzez proxy SOCKS.

%package -n python3-PySocks
Summary:	SOCKS client module for Python 3
Summary(pl.UTF-8):	Moduł klienta SOCKS dla Pythona 3
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.4

%description -n python3-PySocks
This module provides a standard socket-like interface for Python
for tunneling connections through SOCKS proxies.

%description -n python3-PySocks -l pl.UTF-8
Ten moduł udostępnia standardowy interfejs linii gniazd dla Pythona
służący do tunelowania połączeń poprzez proxy SOCKS.

%prep
%setup -q -n PySocks-%{version}

# precompiled x86_64 binary
%{__rm} test/bin/3proxy
%if %{with tests}
ln -sf /usr/bin/3proxy test/bin/3proxy
%endif

%build
%if %{with python2}
%py_build

%if %{with tests}
PYTHONPATH=$(pwd) \
%{__python} -m unittest discover -s test
%endif
%endif

%if %{with python3}
%py3_build

%if %{with tests}
PYTHONPATH=$(pwd) \
%{__python3} -m unittest discover -s test
%endif
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc LICENSE README.md
%{py_sitescriptdir}/socks.py[co]
%{py_sitescriptdir}/sockshandler.py[co]
%{py_sitescriptdir}/PySocks-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-PySocks
%defattr(644,root,root,755)
%doc LICENSE README.md
%{py3_sitescriptdir}/socks.py
%{py3_sitescriptdir}/sockshandler.py
%{py3_sitescriptdir}/__pycache__/socks.cpython-*.py[co]
%{py3_sitescriptdir}/__pycache__/sockshandler.cpython-*.py[co]
%{py3_sitescriptdir}/PySocks-%{version}-py*.egg-info
%endif
%changelog
* Wed Mar 30 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-PySocks.git;a=log;h=master

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 6b1d342
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> c66ebde
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 7a8d4c6
- rebuild with python 3.10

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> 757c329
- release 3 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 7884ae9
- rebuild with python 3.8
- release 2 (by relup.sh)

* Thu Oct 03 2019 Jakub Bogusz <qboosh@pld-linux.org> 1b4329c
- updated to 1.7.1

* Fri Jul 20 2018 Jakub Bogusz <qboosh@pld-linux.org> e645c5d
- updated to 1.6.8

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 0008741
- python 3.7 rebuild
- release 2 (by relup.sh)

* Sun Mar 05 2017 Jakub Bogusz <qboosh@pld-linux.org> acf2f35
- updated to 1.6.6

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> d39f1e1
- python 3.6
- release 2 (by relup.sh)

* Mon Mar 28 2016 Jakub Bogusz <qboosh@pld-linux.org> a22490d
- new

